relay_remove_buf
Prev | relay interface | Next

## Name

relay_remove_buf — remove a channel buffer

## Synopsis

`void relay_remove_buf (` | struct kref * | kref`)`;

## Arguments

`kref`

  target kernel reference that contains the relay buffer

## Description

Removes the file from the fileystem, which also frees the rchan_buf_struct and the channel buffer. Should only be called from `kref_put`.

Prev | Up | Next
relay_destroy_buf | Home | relay_buf_empty